unit TimeBox;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls;

type
  TTimeBox = class(TPanel)
   constructor Create(AOwner:TComponent);override;
   procedure Timer1Timer(Sender: TObject);
  private
    { Private-Deklarationen }
      Timer1: TTimer;
      FSeconds:Boolean;
  protected
    { Protected-Deklarationen }
  public
    { Public-Deklarationen }
  published
    { Published-Deklarationen }
    property Seconds:Boolean read FSeconds write
             FSeconds;
  end;

procedure Register;

implementation
constructor TTimeBox.Create(AOwner:TComponent);
begin
 inherited Create(AOwner);
 Caption:=TimeToStr(Time);
 Timer1:=TTimer.Create(self);
 Timer1.Interval:=1000;
 Timer1.OnTimer:=Timer1Timer;
 Timer1.Enabled:=True;
 FSeconds:=True;
end;

procedure TTimeBox.Timer1Timer(Sender: TObject);
begin
 if FSeconds then
  Caption:=TimeToStr(Time)
 else
  Caption:=Copy(TimeToStr(Time),1,5);

end;

procedure Register;
begin
  RegisterComponents('Beispiele', [TTimeBox]);
end;

end.
